//XDeskShow widget javaScript


function WidgetOnDock()
{    
  WMPPanelLeft = 7;
  WMPPanelTop = 8;
  WMPPanelWidth = 135;
  WMPPanelHeight = 92;

  bg.Src = 'tvBg_mini.png';
  widget.widgetWidth = bg.width + 1;
  widget.widgetHeight = bg.Height + 1;
       
}

function WidgetOnUnDock()
{
  bg.Src = 'tvBg.png';
  widget.widgetWidth = bg.width;
  widget.widgetHeight = bg.Height;
     
  WMPPanelLeft = 15;
  WMPPanelTop = 16;
  WMPPanelWidth = 280;
  WMPPanelHeight = 192;
    
}

function WidgetOnStart()
{
  WMPPanelURL = GetOption("channel");
  wmpPlay;
}

function OnAllSettingsSaved()
{
  if(WMPPanelURL == GetOption("channel")) 
    return; 

  WMPPanelURL = GetOption("channel");
  wmpPlay;
}